#menu-button {
    display: none;
}

/* All Mobile Sizes (devices and browser) */
@media only screen and (max-width: 800px) {
    #nav, #sub-nav {
        display: none;
    }/* Header menu button */

    #menu-button {
        cursor: pointer;
        z-index: 2900;
        padding: 0 2rem;
        font-size: 1rem;
        color: #fff;
        text-align: center;
        display: block;
    }

    #menu-button:hover {
        color: rgba(255, 255, 255, 0.9);
    }
}

/* MAIN NAV */
a.menu-button {
    display: flex;
    align-content: center;
    align-items: center;
    justify-content: center;
    z-index: 300;
    top: 50%;
    font-size: 2.5rem;
    line-height: 1;
    z-index: 300;
    color: #fff;
    cursor: pointer;
    text-decoration: none;
    transition: opacity 0.3s ease;
}

a.menu-button:hover {
    opacity: 0.5;
}

.stuck a.menu-button {
    color: initial;
}

/* Larger than tablet */
@media (min-width: 900px) {
    a.menu-button {
        display: none;
    }

    #nav, #sub-nav {
        display: flex;
        flex-direction: column ;
        width: 100%;
    }
}

/* MAIN NAVV */
#nav ul#navmenu {
    display: flex;
    flex-wrap: wrap;
    margin: 0;
    gap: 1rem;
}

#nav ul, #nav li {
    list-style: none;
    margin: 0;
    padding: 0;
}

#nav ul#navmenu a {
    text-decoration: none;
    transition: all ease 0.3s;
    line-height: 1.1;
    display: block;
    color: #fff;
}

#nav ul#navmenu .l1 {
    display: flex;
    align-content: center;
    align-items: center;
    justify-content: center;
}

#nav ul#navmenu .l1 a {
    padding: 1rem .25vw;
    color: #fff;
    display: block;
    font-size: 1.2rem;
    line-height: 1;
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: 2px;
    transition: background ease 0.3s;
    border-top: 2px solid transparent;
    border-radius: .5rem;
}

#nav ul#navmenu li:hover a, #nav ul#navmenu .l1 a:hover {
    background: #fff;
    opacity: 1;
    color: #191919;
}

#nav ul#navmenu .l1 .selected, #nav ul#navmenu .l1 .selected:hover {
    background: #fff;
    opacity: 1;
    color: #191919;
}

#nav ul#navmenu .l1 .selected:hover {
    background: #fff;
    opacity: 1;
    color: #191919;
}

#nav ul#navmenu .ul3 {
    display: none !important;
}

#nav ul#navmenu li {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    margin: 0;
}

#nav ul#navmenu ul {
    margin: 0;
    padding: 0;
    background: #fff;
    border-radius: 0 .5rem .5rem .5rem;
    position: absolute;
    left: 0;
    opacity: 0;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.1);
    box-sizing: border-box;
    padding: 1rem;
    top: 30px;
    width: 240px;
    visibility: hidden;
    transition: opacity ease 0.3s;
}

#nav ul#navmenu ul li span {
    width: 100%;
}

/* 2nd Menu */
#nav ul#navmenu li li {
    display: block;
    margin: 0;
    padding: 0;
    position: static;
}

#nav ul#navmenu li li a {
    display: flex;
    flex-direction: row;
    color: #191919;
    border-radius: .5rem;
    font-size: 1.5rem;
    padding: .5rem 1rem;
    text-transform: capitalize;
    letter-spacing: 0px;
    transition: background ease 0.3s;
}

#nav ul#navmenu li li a img {
    width: 200px;
    height: 100%;
    object-fit: cover;
    object-position: left;
    position: absolute;
    right: -200px;
    top: 0;
    opacity: 0;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.1);
    transition: all ease 0.3s;
}

#nav ul#navmenu li li:hover a img {
    opacity: 1;
    object-position: center;
}

/* 2nd Menu Hover Persistence */
#nav ul#navmenu li:hover li a:hover, #nav ul#navmenu li:hover li:hover a {
    background: #B22419;
    opacity: 1;
    color: #fff;
}

/* 3rd Menu */
#nav ul#navmenu li:hover li:hover li a {
    display: none;
    visibility: hidden;
}

#nav ul#navmenu li:hover ul ul, #nav ul#navmenu li:hover ul ul ul {
    display: none;
}

#nav ul#navmenu li:hover ul, #nav ul#navmenu ul li:hover ul, #nav ul#navmenu ul ul li:hover ul {
    visibility: visible;
    display: flex;
    flex-direction: column;
    opacity: 1;
}

/* SUB NAV */
#sub-nav {
    position: relative;
}

#sub-nav ul, #sub-nav li {
    margin: 0;
    border: 0 none;
    padding: 0;
    list-style: none;
}

#sub-nav .ul3 {
    display: flex;
    flex-direction: column ;
    max-height: 30vh;
    overflow: auto;
        scrollbar-color: rgba(0, 0, 0, 0.2) transparent;
    -webkit-overflow-scrolling: touch;
}

#sub-nav .ul3::-webkit-scrollbar-track {
    background-color: #ccc;
}

#sub-nav .ul3::-webkit-scrollbar {
    background-color: #ccc;
}

#sub-nav .ul3::-webkit-scrollbar-thumb {
    background-color: #777;
    cursor: grab;
}

#sub-nav .ul3::-webkit-scrollbar-thumb:hover {
    background-color: #444;
}


#sub-nav a {
    text-decoration: none;
    display: block;
    line-height: 1;
    padding: .65rem 1rem;
    line-height: 1;
    font-family: 'Alegreya', sans-serif;
    border-bottom: 1px solid #ccc;
}

#sub-nav .l1 a, .mini-cart-wrap h3 {
    display: block;
    margin: 0;
    line-height: 1;
    font-weight: 300;
    color: #B22419;
    text-transform: uppercase;
}

#sub-nav .ul2 {
    margin-bottom: 2rem;
}

#sub-nav .l2 a {
    display: block;
}

#sub-nav .l2 a:hover,
#sub-nav .l2 a.selected {
    color: #fff;
    background: #222;
}

#sub-nav .l3 a {
    text-decoration: none;
    display: block;
    font-size: 1.6rem;
    line-height: 1;
    background: #eee;
    padding: .5rem 1rem;
}

#sub-nav .l3 a:hover,
#sub-nav .l3 a.selected {
    background: #B22419;
    color: #fff;
}

#sub-nav .l4 a, #sub-nav .l4 a:link, #sub-nav .l4 a:active, #sub-nav .l4 a:visited {
    display: none;
}

#sub-nav .l4 a:hover, #sub-nav .l4 .selected {
    display: none;
}

/* FOOTER */
.footer-nav-top {
    padding-bottom: 2rem;
}

.footer-nav-top ul {
    margin: 0;
    padding: 0;
    text-align: center;
}

.footer-nav-top ul#navmenu li {
    margin: 0;
    list-style: none;
    display: inline-block;
}

.footer-nav-top ul#navmenu a {
    display: block;
    padding: 0 1rem;
    text-decoration: none;
    color: #ccc;
}

.footer-nav-top ul#navmenu a:hover {
    color: #EAC071;
    text-decoration: none;
}

.footer-nav-top ul#navmenu .l1 a {
    display: block;
}

.footer-nav-top ul#navmenu .ul2, .footer-nav-top ul#navmenu .ul3 {
    display: none
}

/* Mobile Menu */
.efi-mobile-menu {
    width: 80%;
    max-width: 400px;
    position: fixed;
    background: rgba(179, 36, 25, 0.7);
    z-index: 9900;
    left: -100%;
    top: 0;
    display: block;
    transition: all ease 0.3s;
    height: 100vh;
}

.efi-mobile-menu:before {
    content: "";
    height: 100px;
    width: calc(100% - 8rem);
    display: block;
    margin: 1rem 4rem;
    box-sizing: border-box;
    background: url(../svg/logo.svg) no-repeat center;
    background-size: 100% 70px;
}

body.efi-menu-open {
    overflow: hidden;
    position: absolute;
    width: 100%;
}

.efi-mobile-menu .default {
    display: none;
}

.efi-mobile-menu-inner {
    padding: 0 1rem;
    height: calc(100vh - 200px - 2rem);
    overflow: hidden;
    overflow: auto;
    scrollbar-color: rgba(255, 255, 255, 0.2) transparent;
    -webkit-overflow-scrolling: touch;
}

/* Larger than mobile */
@media (min-width: 400px) {
    .efi-mobile-menu-inner {
        padding: 0 2rem;
    }
}

.efi-mobile-menu-inner::-webkit-scrollbar-track {
    background-color: transparent;
}

.efi-mobile-menu-inner::-webkit-scrollbar {
    background-color: transparent;
}

.efi-mobile-menu-inner::-webkit-scrollbar-thumb {
    background-color: rgba(255, 255, 255, 0.2);
}

body.efi-menu-open .efi-mobile-menu {
    left: 0;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    box-shadow: 0px 0px 100px #000;
}

body.efi-menu-open .efi-menu-overlay {
    position: fixed;
    left: 0;
    top: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, 0.5);
    z-index: 9800;
    cursor: pointer;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
}

.efi-mobile-menu ul, .efi-mobile-menu li {
    list-style: none;
    margin: 0;
    padding: 0;
    border: 0;
    position: relative;
}

.efi-mobile-menu .efi-expanded + ul {
    display: block;
}

.efi-mobile-menu li a {
    text-decoration: none;
    width: 100%;
    display: flex;
    align-content: center;
    align-items: center;
    justify-content: space-between;
    gap: 1rem;
    min-height: 50px;
    line-height: 1;
    padding: 1rem 2rem;
    color: #fff;
    transition: background ease 0.3s;
    box-sizing: border-box;
    position: relative;
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}

.efi-mobile-menu li a:hover {
    background: rgba(255, 255, 255, 0.1);
}

.efi-mobile-menu li a.efi-expanded {
    background: #fff !important;
    color: #333;
}

.efi-menu-expand {
    display: flex;
    margin-left: auto;
    flex-shrink: 0;
    align-content: center;
    align-items: center;
    justify-content: center;
    background: rgba(0, 0, 0, 0.2);
    text-align: center;
    font-size: 2rem;
    width: 3.5rem;
    height: 3.5rem;
    transition: color ease 0.3s;
    border-radius: 100rem;
    transition: background ease 0.3s;
}

.efi-menu-expand:after {
    font-family: "FontAwesome 5 Free";
    font-weight: 600;
    content: "\002B";
}

.efi-expanded .efi-menu-expand:after {
    content: "\2212";
}

.efi-menu-expand:hover {
    background: rgba(0, 0, 0, 0.4);
}

/* Level 1 */
.efi-mobile-menu > ul {
}

.efi-mobile-menu > ul > li > a {
}

/* Level 2 */
.efi-mobile-menu ul ul {
    display: none;
    background: rgba(0, 0, 0, 0.1);
}

.efi-mobile-menu ul ul > li > a {
}

/* Level 3 */
.efi-mobile-menu ul ul ul {
    display: none;
    background: rgba(0, 0, 0, 0.1);
}

.efi-mobile-menu ul ul ul > li > a {
}

/* Level 4 */
.efi-mobile-menu ul ul ul ul {
    display: none;
    background: rgba(0, 0, 0, 0.1);
}

.efi-mobile-menu ul ul ul ul > li > a {
}

.other-links {
    padding-top: 4rem;
}

.other-links a {
    text-decoration: none;
    display: block;
    color: #fff;
    padding: 1rem 2rem;
    font-size: 90%;
    opacity: 0.8;
}

.other-links .phone-link {
    display: none;
}

.efi-mobile-phone {
    width: 100%;
    color: #fff;
    font-size: initial;
    letter-spacing: 1px;
    box-sizing: border-box;
    text-align: center;
}

.efi-mobile-phone:empty {
    display: none;
}

.efi-mobile-phone a {
    display: block;
    font-size: 2rem;
    color: #fff;
    text-decoration: none;
}

.efi-mobile-social {
    padding: 2rem 2rem;
    text-align: center;
    box-sizing: border-box;
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}

.efi-mobile-social:empty {
    display: none;
}

.efi-mobile-social a {
    text-decoration: none;
    padding: 0 1rem;
    color: #fff;
}

.efi-mobile-social a:hover {
    color: rgba(255, 255, 255, 0.5);
}


